﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Xml.Serialization;
using WeroSoft.Samples.Data;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Schnittstellendefinition für den WebService.
    /// </summary>
    [ServiceContract(Namespace="http://WeroSoft.net/Samples/WebService")]
    public interface IwlbDemoWebService
    {
        /// <summary>
        /// Definition der Testmethode für dieses Beispiel.
        /// </summary>
        /// <param name="objDemoData">Demodaten, die als Eingabedaten verwendet werden.</param>
        /// <param name="iParam">Testparameter des Typs integer.</param>
        /// <param name="strParam">Testparameter des Typs String.</param>
        /// <returns>Generiertes Array mit den Testdaten,.</returns>
        [OperationContract]
        [FaultContract(typeof(CwlbFault))]
        CwlbDemoData[] GetDemoData(CwlbDemoData objDemoData, int iParam, string strParam);
    }
}
