﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Klasse für die Ausführungskontrolle der Anwendung.
    /// </summary>
    class Program
    {
        /// <summary>
        /// Einstiegspunkt in das Programm.
        /// </summary>
        static void Main()
        {
            ServiceHost objHost = null; 

            try
            {
                objHost = new ServiceHost(typeof(CwlbDemoWebService));
                objHost.Open();

                Console.WriteLine("Service Host ist gestartet ...");
                Console.ReadKey(true);
            }
            catch (Exception excObject)
            {
                Console.WriteLine(excObject.Message);
            }
            finally
            {
                if (objHost != null && objHost.State == CommunicationState.Opened)
                {
                    objHost.Close();
                }
            }
        }
    }
}
