﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert eingebundene Daten in einem Datenvertrag.
    /// </summary>
    /// <remarks>
    /// Beachten Sie hier, dass die Daten serialisierbar sind. Bei der Verwendung des Standardserialisierers
    /// werden auch ohne Kennzeichnung Daten nach gewissen Regeln serialisiert (siehe Kapitel 4).
    /// </remarks>
    public class CwlbEmbeddedData
    {
        /// <summary>
        /// Liefert oder definiert eine Textinformation.
        /// </summary>
        public string StringData { get; set; }
    }
}
