﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert eine Person in der Abbildung einer Organisation.
    /// </summary>
    [DataContract(Name="Person", Namespace="http://WeroSoft.net/Samples/Data", IsReference=true)]
    public class CwlbPerson
    {
        /// <summary>
        /// Liefert oder definiert die Objektidentifikation.
        /// </summary>
        [DataMember(Order=1)]
        public string Id { get; set; }

        /// <summary>
        /// Liefert oder definiert den Namen der Person.
        /// </summary>
        [DataMember(Order = 2)]
        public string Name { get; set; }
    }
}
