﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.Collections.ObjectModel;
using System.Diagnostics;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert eine Division innerhalb einer Firma.
    /// </summary>
    [DataContract(Name = "Organization", Namespace = "http://WeroSoft.net/Samples/Data", IsReference = true)]
    [DebuggerDisplay("{Name} - Manager: {Manager.Name}")]
    public class CwlbOrganization : CwlbStructureElement
    {
        /// <summary>
        /// Liefert oder definiert die Person, die die Division leitet.
        /// </summary>
        [DataMember(Order = 1)]
        public CwlbPerson Manager { get; set; }
    }
}
