﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Definiert ein Fehlerdetail.
    /// </summary>
    public interface IwlbFaultDetail
    {
        /// <summary>
        /// Name der Maschine, auf der der Fehler aufgetreten ist.
        /// </summary>
        string MachineName { get; set; }

        /// <summary>
        /// Name des Dienstes, in dem der Fehler aufgetreten ist.
        /// </summary>
        string ServiceName { get; set; }

        /// <summary>
        /// Name der Methode, in der die Fehlerbehandlung stattgefunden hat.
        /// </summary>
        string MethodName { get; set; }
    }
}
