﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Rückrufvertrag
    /// </summary>
    [ServiceContract(Name = "Callback", Namespace = "http://WeroSoft.net/Samples")]
    public interface IwlbCallbackContract
    {
        /// <summary>
        /// Liefert die aktuelle Uhrzeit im Server.
        /// </summary>
        /// <returns>Aktuelle Uhrzeit im Server.</returns>
        [OperationContract(Name="ServerTime")]
        void CurrentServerTime(string strServer, CwlbServerTimeEventArgs objArgument);
    }
}
