﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Threading;

namespace WeroSoft.Samples.LearningWcfClientUI
{
    /// <summary>
    /// Definiert eine Basisklasse für eine clientseitiges Rückrufklasse.
    /// </summary>
    public abstract class CwlbCallbackBase : IwlbCallbackBase
    {
        /// <summary>
        /// Liefert oder definiert den Clientseitigen Dispatcher, der für die Verarbeitung 
        /// des Rückrufs benutzt werden kann.
        /// </summary>
        public Dispatcher ClientUIDispatcher { get; set; }
    }
}
