﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContracts
{
    /// <summary>
    /// Definiert die Daten für dei asynchrone Verarbeitung.
    /// </summary>
    public class CwlbAsyncData
    {
        /// <summary>
        /// Liefert oder definiert die Dauer der Verarbeitungssimulation.
        /// </summary>
        public int Duration { get; set; }

        /// <summary>
        /// Liefert oder definiert die Anzahl der zu berechnenenden ganzzahligen Werte.
        /// </summary>
        public int Load { get; set; }

        /// <summary>
        /// Liefert oder definiert den kleinsten zu berechnenden numerischen Wert.
        /// </summary>
        public int MinimalValue { get; set; }

        /// <summary>
        /// Liefert oder definiert den grössten zu berechnenenden numerischen Wert.
        /// </summary>
        public int MaximalValue { get; set; }

        /// <summary>
        /// Liefert oder definiert die Nutzdaten der Verarbeitung.
        /// </summary>
        public int[] Data { get; set; }
     }
}
