﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContracts
{
    /// <summary>
    /// Definiert die Verwaltungsdaten eines Dokuments.
    /// </summary>
    public class CwlbDocumentHeader
    {
        /// <summary>
        /// Identifikation des zu behandelnden Dokuments.
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// Name des zu behandlenden Dokuments.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Grösse des Dokuments.
        /// </summary>
        public long Size { get; set; }
    }
}
