﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Datenvertrag für eine Fehlerdetail der Demo.
    /// </summary>
    [DataContract(Name = "DemoFault", Namespace=GwlbConstants.XmlNamespaceFault)]
    public class CwlbDemoFault
    {
        /// <summary>
        /// Zeitstempel der Fehlererzeugung.
        /// </summary>
        [DataMember(Name="Timestamp")]
        public DateTime Timestamp { get; set; }

        /// <summary>
        /// Mitteilung des Fehlers.
        /// </summary>
        [DataMember(Name = "Message")]
        public string Message { get; set; }

        /// <summary>
        /// Name des ungültigen Parameters.
        /// </summary>
        [DataMember(Name = "InvalidParams")]
        public string[] InvalidParams { get; set; }
    }
}
