﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.MsmqIntegration;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Implementiert den Service Host.
    /// </summary>
    class Program
    {
        /// <summary>
        /// Einsprungpunkt in das Programm.
        /// </summary>
        static void Main(string[] astrArguments)
        {
            try
            {
                // Erstellen des Diensthost für den Dienst CwlbDemoService
                using (ServiceHost objHost = new ServiceHost(typeof(CwlbDemoService)))
                {
                    // Diensthost starten
                    objHost.Open();
                    // Verhindern das Prozess beendet wird.
                    Console.WriteLine("Service Host ist gestartet. Mit einem Tastendruck kann er beendet werden ...");
                    Console.ReadKey(true);
                }
            }
            catch (Exception excObject)
            {
                // Ausnahmebehandlung
                Console.WriteLine(excObject.Message);
            }
            finally
            {
            }
        }
    }
}
