﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert globale Elemente für Client und Server
    /// </summary>
    public static class GwlbLearningWcf
    {
        /// <summary>
        /// Definiert den Namen der Administratorenrolle.
        /// </summary>
        public const string Administrators = "Administrators";

        /// <summary>
        /// Definiert den Namen der Mitarbeiterrolle.
        /// </summary>
        public const string Contributers = "Contributers";

        /// <summary>
        /// Definiert den Namen der Mitarbeiterrolle.
        /// </summary>
        public const string Special = "Special";

        /// <summary>
        /// Definiert den Namen der Mitgliedsrolle.
        /// </summary>
        public const string Members = "Members";

        /// <summary>
        /// Definiert den Namen der Mitgliedsrolle.
        /// </summary>
        public const string Users = "Users";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Dienstverträge.
        /// </summary>
        public const string XmlNamespaceService = "http://weroSoft.net/Samples/Service";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Datenverträge.
        /// </summary>
        public const string XmlNamespaceData = "http://weroSoft.net/Samples/Data";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Fehlerverträge.
        /// </summary>
        public const string XmlNamespaceFault = "http://weroSoft.net/Samples/Fault";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Nachrichtenheader.
        /// </summary>
        public const string XmlNamespaceHeader = "http://weroSoft.net/Samples/Header";

        /// <summary>
        /// Definiert die Konstante für den Eintrag des Nachrichtenheaders Culture.
        /// </summary>
        public const string MessageInspectionCulture = "Culture";

        /// <summary>
        /// Definiert die Konstante für den Eintrag des Nachrichtenheaders UICulture.
        /// </summary>
        public const string MessageInspectionUICulture = "UICulture";
    }
}
