﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert ein Strukturelement in der Abbildung einer Organisation.
    /// </summary>
    [DataContract(Name = "StructureElement", Namespace = "http://WeroSoft.net/Samples/Data", IsReference = true)]
    public abstract class CwlbStructureElement : CwlbOrganizationPart
    {
        /// <summary>
        /// Enthält die unterstellten Elemente der Organisation (Personen und Unterorganisationen)
        /// </summary>
        [DataMember(Order = 1)]
        public List<CwlbOrganizationPart> Content { get; set; }
    }
}
