﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert die Organisationsstruktur einer Firma.
    /// </summary>
    public interface IwlbOrganizationPart
    {
        /// <summary>
        /// Liefert oder definiert die unterstellte Division.
        /// </summary>
        CwlbStructureElement ParentOrganization { get; set; }

        /// <summary>
        /// Liefert oder definiert die Objektidentifikation.
        /// </summary>
        string Id { get; set; }

        /// <summary>
        /// Liefert oder definiert den Namen der Firma.
        /// </summary>
        string Name { get; set; }
    }
}
