﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace WeroSoft.Samples.LearningUnitTest.Test
{
    /// <summary>
    /// Erstellt eine Ausgabe mit allen druckbaren Inhalten des Testcontexts.
    /// </summary>
    [TestClass]
    public class CwlbTestContext
    {
        /// <summary>
        /// Liefert oder definiert den Testkontext.
        /// </summary>
        public TestContext TestContext { get; set; }

        /// <summary>
        /// Erstellt eine Ausgabe mit allen druckbaren Inhalten des Testcontexts.
        /// </summary>
        [TestMethod]
        public void TestContextTest()
        {
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "Qualifizierter Testname: {0}", TestContext.FullyQualifiedTestClassName);
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "Testname: {0}", TestContext.TestName);
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "TestRunDirectory: {0}", TestContext.TestRunDirectory);
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "ResultsDirectory: {0}", TestContext.ResultsDirectory);
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "TestResultsDirectory: {0}", TestContext.TestResultsDirectory);
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "TestRunResultsDirectory: {0}", TestContext.TestRunResultsDirectory);
            CwlbAssemblyLevelHandling.WriteLog(TestContext, "DeploymentDirectory: {0}", TestContext.DeploymentDirectory);
        }
    }
}
