﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningUnitTest
{
    /// <summary>
    /// Stellt Funktionen für das Abfragen von Informationen eines System zusammen.
    /// </summary>
    public static class CwlbSystemInfo
    {
        /// <summary>
        /// Liefert Informationen über eine Maschine.
        /// </summary>
        /// <returns></returns>
        public static CwlbMachineInfo CreateMachineInfo()
        {
            CwlbMachineInfo objMachineInfo = new CwlbMachineInfo();
            objMachineInfo.Name = Environment.MachineName;
            objMachineInfo.OsVersion = Environment.OSVersion;
            objMachineInfo.ClrVersion = Environment.Version;
            return objMachineInfo;
        }
    }
}
