﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert den Zustand eines Objekts während der Kommunikation.
    /// </summary>
    public enum EwlbRoundtripState
    {
        /// <summary>
        /// Das Objekt ist im Client.
        /// </summary>
        ClientIn,

        /// <summary>
        /// Das Objekt hat den Client verlassen.
        /// </summary>
        ClientOut,

        /// <summary>
        /// Das Objekt hat den Server erreicht.
        /// </summary>
        ServerIn,

        /// <summary>
        /// Das Objekt hat den Server verlassen.
        /// </summary>
        ServerOut
    }
}
