﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert eine Division innerhalb einer Firma.
    /// </summary>
    public class CwlbDivision
    {
        /// <summary>
        /// Liefert oder definiert die Objektidentifikation.
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// Liefert oder definiert den Namen der Division.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert die Person, die die Division leitet.
        /// </summary>
        public CwlbPerson Manager { get; set; }

        /// <summary>
        /// Liefert oder definiert die unterstellte Division.
        /// </summary>
        public CwlbDivision Division { get; set; }
    }
}
