﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel.Description;
using System.Text;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Definiert ein Fehlerdetail.
    /// </summary>
    public interface IwlbFaultConverter
    {
        /// <summary>
        /// Convertiert eine Ausnahme in ein Fehlerdetail.
        /// </summary>
        /// <param name="objException">Ausnahme, die konvertiert werden soll.</param>
        /// <param name="objServiceDescription">Die Beschreibung des Dienstobjekts.</param>
        /// <returns>Liefert ein Detailobjekt.</returns>
        IwlbFaultDetail Convert(Exception objException, ServiceDescription objServiceDescription);
    }
}
