﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Definiert den vererbten Demodienst des Beispiels.
    /// </summary>
    [ServiceContract(Name="InheritedDemoService", Namespace="http://WeroSoft.net/Samples/Contracts")]
    public interface IwlbInheritedDemoService : IwlbDemoService
    {
        /// <summary>
        /// Definiert eine einfache Methode für die Demonstration der Vererbung von Dienstverträgen.
        /// </summary>
        /// <param name="strClientData">Daten, die der Client für die Methodenausführung an den Service übermittelt.</param>
        /// <returns>Formatierte Antwort des Dienstes.</returns>
        [OperationContract(Name = "InheritedDemoCall")]
        CwlbInfoEventArgs InheritedDemoCall(string strClientData);
    }
}
