﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Definiert eine detaillierte Fehlerinformation für die Demo.
    /// </summary>
    public class CwlbFaultDetail
    {
        /// <summary>
        /// Name der Maschine auf der der Fehler aufgetreten ist.
        /// </summary>
        public string MachineName { get; set; }

        /// <summary>
        /// Name des Dienstes, indem der Fehler aufgetreten ist.
        /// </summary>
        public string ServiceName { get; set; }

        /// <summary>
        /// Name der Methode in der die Fehlerbhandlung stattgefunden hat.
        /// </summary>
        public string MethodName { get; set; }
    }
}
