﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContracts
{
    /// <summary>
    /// Datenobjekt für dei Methode Ping.
    /// </summary>
    public class CwlbPing
    {
        /// <summary>
        /// Maschinenname des Clients.
        /// </summary>
        public string ClientName { get; set; }

        /// <summary>
        /// Maschinenname des Servers.
        /// </summary>
        public string ServerName { get; set; }

        /// <summary>
        /// Übermittelte Datenmenge in Anzahl Datenbytes vom Server zum Client.
        /// </summary>
        public int Load { get; set; }

        /// <summary>
        /// Generierte Datenbytes vom Server.
        /// </summary>
        public byte[] Data { get; set; }

        /// <summary>
        /// Zeitstempel an dem der Client die Information an den Server sendete.
        /// </summary>
        public DateTime ClientSent { get; set; }

        /// <summary>
        /// Zeitstempel an dem der Server die Antwort an den Client zurück sendete.
        /// </summary>
        public DateTime ServerSent { get; set; }
    }
}
