﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContracts
{
    /// <summary>
    /// Definiert die Schnittstelle für ein Rückrufobjekt aus dem Dispatcher.
    /// </summary>
    public interface IwlbDemoDispatcherCallback
    {
        /// <summary>
        /// Methode für den Rückruf.
        /// </summary>
        /// <param name="objGuid">Id des fertig verarbeiteten Elements.</param>
        [OperationContract(Name="Done", IsOneWay=true)]
        void OnFinished(Guid objGuid);
    }
}
