﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContracts
{
    /// <summary>
    /// Definiert die Schnittstelle für ein clientseitiges Rückrufobjekt.
    /// </summary>
    public interface IwlbDemoServiceCallback
    {
        /// <summary>
        /// Methode für den Rückruf.
        /// </summary>
        /// <param name="time">Serverseitiger zeitstempel</param>
        [OperationContract(Name="OnTime", IsOneWay=true)]
        void OnTime(DateTime time);
    }
}
