﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples.LearningWcfContracts
{
    /// <summary>
    /// Definiert die Daten einer Person.
    /// </summary>
    public class CwlbPerson
    {
        /// <summary>
        /// Liefert oder definiert die Identifikation einer Person.
        /// </summary>
        public Guid PersonId { get; set; }

        /// <summary>
        /// Liefert oder definiert den Namen der Person.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert den Vornamen der Person.
        /// </summary>
        public string FirstName { get; set; }
    }
}
