﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Definiert die Daten, die zwischen Server und Client ausgetauscht werden.
    /// </summary>
    [DataContract(Name = "DemoData", Namespace = GwlbConstants.XmlNamespaceData)]
    public class CwlbDemoData
    {
        /// <summary>
        /// Liefert oder definiert einen Integerwert.
        /// </summary>
        [DataMember]
        public int IntegerValue { get; set; }

        /// <summary>
        /// Liefert oder definiert eine Zeichenfolge.
        /// </summary>
        [DataMember]
        public string StringValue { get; set; }

        /// <summary>
        /// Liefert oder definiert einen Datumswert.
        /// </summary>
        [DataMember]
        public DateTime DateTimeValue { get; set; }
    }
}
