﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel.Configuration;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Erweiterung für die Konfiguration der Nachrichtenprüfung.
    /// </summary>
    public class CwlbLoggingBehaviorExtension : BehaviorExtensionElement
    {
        /// <summary>
        /// Liefert den Verhaltenstyp.
        /// </summary>
        public override Type BehaviorType
        {
            get { return typeof(CwlbServerMessageBehavior<CwlbLoggingMessageInspector>); }
        }

        /// <summary>
        /// Erzeugt den Verhaltenstyp.
        /// </summary>
        /// <returns>Instanz des zu verwendenden Verhaltenstyps.</returns>
        protected override object CreateBehavior()
        {
            return new CwlbServerMessageBehavior<CwlbLoggingMessageInspector>();
        }
    }
}
