﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples.LearningWcfContract
{
    /// <summary>
    /// Verwendete Konstanten 
    /// </summary>
    public static class GwlbConstants
    {
        /// <summary>
        /// Definiert die Konstante des Namensraums für Dienstverträge.
        /// </summary>
        public const string XmlNamespaceService = "http://weroSoft.net/Samples/Service";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Datenverträge.
        /// </summary>
        public const string XmlNamespaceData = "http://weroSoft.net/Samples/Data";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Fehlerverträge.
        /// </summary>
        public const string XmlNamespaceFault = "http://weroSoft.net/Samples/Fault";

        /// <summary>
        /// Definiert die Konstante des Namensraums für Nachrichtenheader.
        /// </summary>
        public const string XmlNamespaceHeader = "http://weroSoft.net/Samples/Header";

        /// <summary>
        /// Definiert die Konstante für den Eintrag des Nachrichtenheaders Culture.
        /// </summary>
        public const string MessageInspectionCulture = "Culture";

        /// <summary>
        /// Definiert die Konstante für den Eintrag des Nachrichtenheaders UICulture.
        /// </summary>
        public const string MessageInspectionUICulture = "UICulture";
    }
}
