﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.Diagnostics;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert eine Person in der Abbildung einer Organisation.
    /// </summary>
    [DataContract(Name = "Person", Namespace = "http://WeroSoft.net/Samples/Data", IsReference = true)]
    [DebuggerDisplay("{Name} - {FirstName}")]
    public class CwlbPerson : CwlbOrganizationElement
    {
        /// <summary>
        /// Liefert oder definiert den Namen der Person.
        /// </summary>
        [DataMember(Order = 1)]
        public string FirstName { get; set; }
    }
}
