﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Schnittstelle des Dienstes für das Beispiel.
    /// </summary>
    [ServiceContract(Name = "OrganizationManager", Namespace = "http://WeroSoft.net/Samples")]
    public interface IwlbOrganizationManager
    {
        /// <summary>
        /// Liefert eine Organisationsstruktur.
        /// </summary>
        /// <param name="strCompanyId">Identifikation des zu liefernden Strukturelements.</param>
        /// <returns>Eine Struktur einer Organisation.</returns>
        //[ServiceKnownType(typeof(IwlbOrganizationPart))]
        //[ServiceKnownType(typeof(CwlbPerson))]
        //[ServiceKnownType(typeof(CwlbOrganization))]
        //[ServiceKnownType(typeof(CwlbCompany))]
        [OperationContract]
        CwlbCompany GetOrganizationStructure(string strCompanyId);
    }
}
