﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WeroSoft.Samples.LearningUnitTest
{
    /// <summary>
    /// Einfache Struktur für eine Information der Maschine.
    /// </summary>
    public class CwlbMachineInfo
    {
        /// <summary>
        /// Liefert oder definiert den Namen einer Maschine.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert die Version des Betriebssystems einer Maschine.
        /// </summary>
        public OperatingSystem OsVersion { get; set; }

        /// <summary>
        /// Liefert oder definiert die Version der Common Language Runtime.
        /// </summary>
        public Version ClrVersion { get; set; }
    }
}
